package cn.com.ctop.okr.controller;

import org.apache.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@Controller
@RequestMapping("/callback")
public class CallbackController {
    private static org.apache.log4j.Logger logger = Logger.getLogger(OkrController.class);

    @GetMapping("/qywexin")
    public void qywexin(HttpServletRequest request,
                        HttpServletResponse response,
                        @RequestParam("code") String code,
                        @RequestParam("state") String state) throws IOException {
        logger.info("okr回调开始，回调地址为："+state + "?code=" + code);
        response.sendRedirect(state + "?code=" + code);
    }

}
