package cn.com.ctop.okr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * okr o 信息公开
 * @author jeecg-boot
 * @date   2020-09-04
 * @version V1.0
 */
@Data
@TableName("okr_task_info_disclosure")
public class OkrTaskInfoDisclosure {

	/**id*/
	@TableId(type = IdType.AUTO)
    private Long id;
	private Long okrTaskId;
	/**
	 * 1 ：部门 2：员工
	 */
	private Integer publicType;
	private String publicId;
	private Integer status;
	private String extraId;
	private Date createTime;
	private Date updateTime;

	public OkrTaskInfoDisclosure() {
		this.createTime = new Date();
		this.updateTime = new Date();
	}
}
