package cn.com.ctop.okr.job.handler;

import cn.com.ctop.okr.service.QYWxService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class WxDepartAndUserInfoJob {
    @Autowired
    private QYWxService qyWxService;

    @XxlJob("wxDepartAndUserInfoJob")
    public ReturnT<String> execute(String param) throws Exception {
        XxlJobLogger.log("okr获取企业微信部门和人员的方法开始");
        qyWxService.getWxDepartAndUserInfo();
        XxlJobLogger.log("okr获取企业微信部门和人员的方法结束");

        return ReturnT.SUCCESS;
    }








}
