package cn.com.ctop.okr.service;

import cn.com.ctop.okr.entity.OkrObjectInfoDisclosure;
import cn.com.ctop.okr.vo.PublicVO;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.models.auth.In;

import java.util.List;

/**
 * @Description: okr o 信息公开
 * @Author: jeecg-boot
 * @Date:   2020-09-04
 * @Version: V1.0
 */
public interface IOkrObjectInfoDisclosureService extends IService<OkrObjectInfoDisclosure> {

    void deleteByKrId(Long krId);

    OkrObjectInfoDisclosure checkStaffByParams(Long krId, String openId, Integer publicType);

    OkrObjectInfoDisclosure checkDepartByParams(Long krId, String openId, Integer publicType);

    List<PublicVO> getPublicVOByKrId(Long krId);
}
