package cn.com.ctop.okr.service;

import cn.com.ctop.okr.entity.OkrObjectInfo;
import cn.com.ctop.okr.entity.OkrObjectInfoRemind;
import cn.com.ctop.okr.entity.QYWxUserInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface IOkrObjectInfoService extends IService<OkrObjectInfo> {
    OkrObjectInfo getByParams(String userId, Integer year, Integer quarter);

    List<OkrObjectInfo> getQuarterObject(String userId, Integer year, Integer quarter);

    void insertObjectInfo(OkrObjectInfo objectInfo,String userId,Integer year,Integer quarter);

    void updateObjectInfo(OkrObjectInfo objectInfo);

    List<OkrObjectInfo> getAllQuarterObject(String name, Integer year, Integer quarter, int startIndex, Integer pageSize);

    List<OkrObjectInfo> getFollowQuarterObject(String userId,String name, Integer year, Integer quarter, int startIndex, Integer pageSize);

    List<OkrObjectInfo> getDepartmentQuarterObject(String openId, String name, Integer year, Integer quarter, int startIndex, Integer pageSize);

    void deleteObjectInfoById(OkrObjectInfo objectInfo);

    List<Integer> getObjectYear();
}
