package cn.com.ctop.okr.service.impl;

import cn.com.ctop.okr.entity.OkrObjectInfoRemind;
import cn.com.ctop.okr.mapper.OkrObjectInfoRemindMapper;
import cn.com.ctop.okr.service.IOkrObjectInfoRemindService;
import cn.com.ctop.okr.vo.RemindVO;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * okr 对象提醒信息
 * @author jeecg-boot
 * @date   2020-09-04
 * @version V1.0
 */
@Service
public class OkrObjectInfoRemindServiceImpl extends ServiceImpl<OkrObjectInfoRemindMapper, OkrObjectInfoRemind> implements IOkrObjectInfoRemindService {
    @Autowired
    private OkrObjectInfoRemindMapper okrObjectInfoRemindMapper;
    @Override
    public void deleteByKrId(Long krId) {
        Map<String,Object> map=new HashMap<>();
        map.put("kr_id",krId);
        okrObjectInfoRemindMapper.deleteByMap(map);
    }

    @Override
    public List<RemindVO> getRemindVOByKrId(Long krId) {
        return okrObjectInfoRemindMapper.getRemindVOByKrId(krId);
    }
}
