package cn.com.ctop.okr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("okr_log")
public class OkrLog {
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    private Long operationId;
    private Integer type;
    private Integer quarter;
    private Integer year;
    private String content;
    private Integer operation;  //1.目标2.关键成果3.本周任务4.未来四周任务5.关键指标'
    private String userId;
    private Date createTime;
    private Date updateTime;
}
