package cn.com.ctop.okr.entity;

import cn.com.ctop.okr.vo.PublicVO;
import cn.com.ctop.okr.vo.RemindVO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@TableName("okr_task_info")
public class OkrTaskInfo {
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    private String userId;
    private String taskTitle;
    private String taskInfo;
    private Integer quarter;
    private Integer year;
    private Integer type;
    private String priority;
    private Date createTime;
    private Date updateTime;
    /**
     * 1：公开
     * 2：私密
     * 3：部分公开
     */
    private Integer permission;
    @TableField(exist = false)
    private List<String> remindIds;
    @TableField(exist = false)
    private List<String>publicIds;

    @TableField(exist = false)
    private List<RemindVO>remindVOS;
    @TableField(exist = false)
    private List<PublicVO>publicVOS;
}
