package cn.com.ctop.okr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * okr 任务提醒信息
 * @author jeecg-boot
 * @date   2020-09-04
 * @version V1.0
 */
@Data
@TableName("okr_task_info_remind")
public class OkrTaskInfoRemind {

	@TableId(type = IdType.AUTO)
    private Long id;
	private Long okrTaskId;
	private Integer remindType;
	private String remindId;
	private String extraId;
	private Integer status;
	private Date createTime;
	private Date updateTime;

	public OkrTaskInfoRemind() {
		this.createTime = new Date();
		this.updateTime = new Date();
	}
}
