package cn.com.ctop.okr.mapper;

import cn.com.ctop.okr.entity.OkrContentStatus;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OkrContentStatusMapper extends BaseMapper<OkrContentStatus> {


    List<OkrContentStatus> getContentStatusList(@Param("userId")String userId, @Param("year")Integer year, @Param("quarter")Integer quarter);

    void insertContentStatus(@Param("content")OkrContentStatus content);

    void updateContentStatus(@Param("content")OkrContentStatus content);

    void deleteContentStatuaById(@Param("content")OkrContentStatus content);

}
