package cn.com.ctop.okr.mapper;

import cn.com.ctop.okr.dto.UserInfoDto;
import cn.com.ctop.okr.entity.OkrContentStatus;
import cn.com.ctop.okr.entity.OkrMember;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OkrMemberMapper extends BaseMapper<OkrMember> {
    void deleteOkrMemberByUserId(@Param("userId")String userId, @Param("year")Integer year, @Param("quarter")Integer quarter);

    void deleteOkrMemberByUserId2(@Param("userId")String userId, @Param("memberId")String memberId,@Param("year")Integer year, @Param("quarter")Integer quarter);

    void insertOkrMember(@Param("userId")String userId, @Param("memberList") List<String> memberList, @Param("year")Integer year, @Param("quarter")Integer quarter);

    List<UserInfoDto> getMemberListByUserId(@Param("userId")String userId, @Param("name")String name, @Param("year")Integer year, @Param("quarter")Integer quarter);

    List<String> getSyncUserListByMemberId(@Param("memberId")String memberId, @Param("year")Integer year, @Param("quarter")Integer quarter, @Param("name")String name);

    List<String> getSyncUserListByName(@Param("name")String name,@Param("startIndex")Integer startIndex,@Param("pageSize")Integer pageSize);
}
