package cn.com.ctop.okr.mapper;

import cn.com.ctop.okr.entity.OkrObjectInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OkrObjectInfoMapper extends BaseMapper<OkrObjectInfo> {
   List<OkrObjectInfo> getQuarterObject(@Param("userId")String userId, @Param("year")Integer year, @Param("quarter")Integer quarter);

   List<OkrObjectInfo> getAllQuarterObject(
           @Param("name")String name,
           @Param("year")Integer year,
           @Param("quarter")Integer quarter,
           @Param("startIndex")Integer startIndex,
           @Param("pageSize")Integer pageSize);

   Long insertObjectInfo(@Param("object")OkrObjectInfo object);

   void updateObjectInfo(@Param("object")OkrObjectInfo object);

   void deleteObjectInfoById(@Param("object")OkrObjectInfo object);

   List<Integer> getObjectYear();

   List<OkrObjectInfo> getFollowQuarterObject(
           @Param("userId")String userId,
           @Param("name")String name,
                                              @Param("year")Integer year,
                                              @Param("quarter")Integer quarter,
                                              @Param("startIndex")Integer startIndex,
                                              @Param("pageSize")Integer pageSize);

   List<OkrObjectInfo> getDepartmentQuarterObject(@Param("openId")String openId, @Param("name")String name,
                                               @Param("year")Integer year,
                                               @Param("quarter")Integer quarter,
                                               @Param("startIndex")Integer startIndex,
                                               @Param("pageSize")Integer pageSize);
}
