package cn.com.ctop.okr.mapper;

import cn.com.ctop.okr.entity.OkrObjectInfoDisclosure;
import cn.com.ctop.okr.entity.OkrTaskInfoDisclosure;
import cn.com.ctop.okr.vo.PublicVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * okr o 信息公开
 * @author: jeecg-boot
 * @date:   2020-09-04
 * @cersion: V1.0
 */
public interface OkrTaskInfoDisclosureMapper extends BaseMapper<OkrTaskInfoDisclosure> {

    List<PublicVO> getPublicVOByTaskId(@Param(value = "taskId") Long taskInfoId);

    OkrTaskInfoDisclosure checkDepartByParams(@Param(value = "taskId")Long taskInfoId, @Param(value = "openId")String openId, @Param(value = "type")int type);
}
