package cn.com.ctop.okr.mapper;

import cn.com.ctop.okr.entity.OkrTaskInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OkrTaskInfoMapper extends BaseMapper<OkrTaskInfo> {
    List<OkrTaskInfo> getTaskInfo(@Param("userId")String userId, @Param("year")Integer year, @Param("quarter")Integer quarter, @Param("type")Integer type);

    Integer insertTaskInfo(@Param("taskInfo")OkrTaskInfo taskInfo);

    void updateTaskInfo(@Param("taskInfo")OkrTaskInfo taskInfo);

    void deleteTaskInfoById(@Param("taskInfo")OkrTaskInfo taskInfo);

}
