package cn.com.ctop.okr.service;

import cn.com.ctop.okr.entity.OkrObjectInfoDisclosure;
import cn.com.ctop.okr.entity.OkrTaskInfoDisclosure;
import cn.com.ctop.okr.vo.PublicVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: okr o 信息公开
 * @Author: jeecg-boot
 * @Date:   2020-09-04
 * @Version: V1.0
 */
public interface IOkrTaskInfoDisclosureService extends IService<OkrTaskInfoDisclosure> {
    void deleteByTaskId(Long taskId);

    List<PublicVO> getPublicVOByTaskId(Long taskInfoId);

    OkrTaskInfoDisclosure checkStaffByParams(Long taskInfoId, String openId, int type);

    OkrTaskInfoDisclosure checkDepartByParams(Long taskInfoId, String openId, int type);
}
