package cn.com.ctop.okr.service;

import cn.com.ctop.okr.entity.OkrTaskInfo;
import cn.com.ctop.okr.entity.OkrTaskInfoRemind;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface IOkrTaskInfoService extends IService<OkrTaskInfo> {
    List<OkrTaskInfo> getTaskInfo(String userId, Integer year, Integer quarter, int type);

    void updateTaskInfo(OkrTaskInfo taskInfo);

    OkrTaskInfo selectById(Long id);

    void deleteTaskInfoById(OkrTaskInfo okrTaskInfo);

    void insertTaskInfo(OkrTaskInfo taskInfo);

    OkrTaskInfo checkShow(OkrTaskInfo taskInfo, String openId);
}
