package cn.com.ctop.okr.service.impl;

import cn.com.ctop.okr.entity.OkrLog;
import cn.com.ctop.okr.mapper.OkrLogMapper;
import cn.com.ctop.okr.service.IOkrLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class OkrLogServiceImpl extends ServiceImpl<OkrLogMapper, OkrLog> implements IOkrLogService {
    @Autowired OkrLogMapper okrLogMapper;
    @Override
    public void insertOkrLog(int type,int opration,Long oprationId,int year,int quarter,String content,String userId ){
        OkrLog okrKrLog = new OkrLog();
        //操作：1.创建2.修改3.删除
        okrKrLog.setType(type);
        //日志类型：1.目标2.关键成果3.本周任务4.未来四周任务5.状态指标
        okrKrLog.setOperation(opration);
        //操作id
        okrKrLog.setOperationId(oprationId);
        okrKrLog.setYear(year);
        okrKrLog.setQuarter(quarter);
        okrKrLog.setContent(content);
        okrKrLog.setUserId(userId);
        okrLogMapper.insertOkrLog(okrKrLog);
    }
}
